/***************************************************************************\
*
*
*   PROCEDURE         - DESQview Pause.
*
*   PURPOSE           - From DESQview API Manual, PAUSE direct CALL:
*                       The PAUSE call gives up control to the dispatcher so
*                       that other tasks can be run.  The calling task will
*                       regain control when its normal turn occurs.
*                       Applications should make this call within all busy-
*                       wait loops,  that is, loops that are doing nothing
*                       useful but looking for something to do.
*
*
*   GENERAL ALGORITHM - Call the DESQview PAUSE direct CALL.
*
*   INPUT             - none.
*
*   OUTPUT            - none.
*
*   SYSTEM            - Borland's Turbo C++ v1.0 on an EPSON EQUITY III+
*                       running MS-DOS v4.01 & DESQview v2.26.  Should operate
*                       under any MS/PC-DOS 2.x or greater & DESQview 2.x or
*                       greater.
*
*   HISTORY:
*      90-07-28       - Initiated Mark Potter
*
\***************************************************************************/

#include <dos.h>
#include "dvaware.h"

void dv_pause(
   void
) {
   _AX = 0x1000;                        // PAUSE DV API Call
   geninterrupt( 0x15 );                // DV API CALL
}

// END DVPAUSE.CPP

