/***************************************************************************\
*
*
*   PROCEDURE         - In DESQview Flag
*
*   PURPOSE           - Set to 0 if DESQview is not running.  Set to the 
*                       version of the DV API active if DESQview is running.
*                       The high byte of inDV is the major version number,
*                       the low byte is the minor.
*
*   GENERAL ALGORITHM - inDV is set by the dv_get_version() function call.
*
*   INPUT             - none.
*                     
*   OUTPUT            - none.
*
*   SYSTEM            - Borland's Turbo C++ v1.0 on an EPSON EQUITY III+
*                       running MS-DOS v4.01 & DESQview v2.26.  Should operate 
*                       under any MS/PC-DOS 2.x or greater & DESQview 2.x or 
*                       greater.
*
*   HISTORY:
*      90-07-28       - Initiated Mark Potter
*
\***************************************************************************/

#include "dvaware.h"

unsigned int inDV = 0;                  // flag indicating if in DESQview =0
                                        // if DESQview not active, =DESQview 
                                        // version otherwise, hi=major 
                                        // version, lo=minor version.

// END INDV.CPP
